
Auto Multiple Choice - Bug # 93: config window

Status: Closed Priority: Normal
Author: red sea Category: Graphical Interface
Created: 11/15/2012 Assignee:
Updated: 08/19/2014 Due date:
Description: small bug

AMC 1216
- amc allow the users to open more than 1 configure window in the same time. (AMC>Edit>config)

all programs not allow the users to open more than 1 configure window in the same time.

History
11/29/2012 08:37 am - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Should be fixed with revision r1236.

11/30/2012 04:34 pm - Anirvan Sarkar
I am still able to open more than one Preferences window. Maybe the Preferences dialog should be opened as a modal dialog or when the user clicks 
on the Preferences option you can check if the Preferences window is opened. If it is then you can bring it back to focus.

I would have been happy to provide a patch for this but I know Java and I am a novice in Perl. :-(
So for now I can only give tips.

11/30/2012 04:46 pm - Alexis Bienvenüe
> I am still able to open more than one Preferences window.
I can't. What distribution/window manager/AMC version do you use?

12/08/2012 03:34 pm - Anirvan Sarkar
I have a Desktop computer and an old laptop. I cannot open more than one Preferences window in the Desktop but I can in the laptop.

Desktop Specifications:

*OS:* Ubuntu 12.10
*Window Manager:* GDMSESSION=ubuntu ; XDG_CURRENT_DESKTOP=Unity
*AMC Version:* Auto Multiple Choice 1.1.1245 (svn:1249)

Laptop Specifications:

*OS:* Ubuntu 12.04 LTS
*Window Manager:* GDMSESSION=ubuntu-2d ; XDG_CURRENT_DESKTOP=Unity
*AMC Version:* Auto Multiple Choice 1.1.1245 (svn:1249)
 
Also I have noticed that the Preferences window in Desktop looks different than that in the laptop. (There is Minimise and Maximise button in Desktop)

Preference window in Desktop:

!http://i48.tinypic.com/2qc2nud.png!

07/06/2025 1/4



Preference window in laptop:

!http://i48.tinypic.com/29vguhy.png!

12/10/2012 09:25 pm - Alexis Bienvenüe
- Status changed from Resolved to In Progress

12/21/2012 10:52 am - Alexis Bienvenüe
I installed Ubuntu 12.10 and AMC 1.1.1255 in a virtualbox, and it shows as your screenshot, but I still can't open two configuration windows: the main 
menu is not accessible when a config window is opened. This makes debugging quite difficult for me... Do you see something special in the log file 
produced in debugging mode?

12/26/2012 04:40 pm - Anirvan Sarkar
- File AMC-DEBUG-6oVDnz02.log added

Alexis Bienvenüe wrote:
> I installed Ubuntu 12.10

I can open more than one preference window in my laptop which has *Ubuntu 12.04 LTS installed* and not Ubuntu 12.10.

I *cannot* open more than one preference window in my Desktop which has Ubuntu 12.10 installed.

The problem is in Ubuntu 12.04 and not in 12.10.

!http://i46.tinypic.com/vzbgoy.png!

I couldn't understand much from the log file so I have attached the log file generated while opening the windows as shown in the screenshot. Maybe it 
will be helpful for you.

12/27/2012 11:55 am - Alexis Bienvenüe
> The problem is in Ubuntu 12.04 and not in 12.10.
Sorry I misread your messages.

I tried with Ubuntu 12.04 and get the same result with AMC 1.1.1267 from the test PPA : I can't open two preferences windows.

Can you try revision 1270 and post a new log file in debug mode? I added some more debugging info to be sure the AMC-gui.pl and glade files used 
are the right ones.

12/27/2012 04:13 pm - Anirvan Sarkar
- File AMC-DEBUG-Xc4NSsj8.log added

Uploaded to Auto Multiple Choice 1.1.1267 (svn:1270) from subversion.

!http://i46.tinypic.com/2s9ezwm.png!

I have attached the log file for the following screenshot.

12/27/2012 04:20 pm - Anirvan Sarkar
- File AMC-gui.pl added

- File AMC-gui-edit_preferences.glade added

I have also attached the @AMC-gui.pl@ file and @AMC-gui-edit_preferences.glade@ file as per the path in the debug log file.

12/27/2012 07:39 pm - Alexis Bienvenüe
Thanks for all. It seems to be the same files as in my virtualized Ubuntu 12.04, so I don't see what is going on...

12/29/2012 07:00 pm - Alexis Bienvenüe
Perhaps this is related with "Ubuntu #674605":https://bugs.launchpad.net/indicator-appmenu/+bug/674605

01/04/2013 03:57 pm - Anirvan Sarkar
Alexis Bienvenüe wrote:
> Perhaps this is related with "Ubuntu #674605":https://bugs.launchpad.net/indicator-appmenu/+bug/674605

Yes it is. I am also able to access the menu bar when the modal window is open in other applications.

"Ubuntu #674605":https://bugs.launchpad.net/indicator-appmenu/+bug/674605 had been reported before two years and still this problem has not been 
solved. Seeing this it is unlikely that it will be solved in the near future.

In @gedit@ you cannot open more than one _Search>Replace_ window. When you try to open another _Replace_ window the previous window is 
brought back to focus. Maybe you can do this with the _Preferences_ window.

02/21/2014 03:55 pm - Anonymous
- Status changed from In Progress to Resolved

Applied in changeset r1513.

02/21/2014 04:13 pm - Anirvan Sarkar
From r1513 more than one preference window cannot be opened using the menubar.

Hello Alexis.
Looks like my @svn@ username is not linked with my @project.auto-multiple-choice.net@ username. I think that's why the previous post is said to be 
updated by _Anonymous_. My @svn@ username is _anirvan_ and my @project.auto-multiple-choice.net@ username is _anirvan_0101_. Maybe you 
can link it in the Project settings.

04/07/2014 09:21 am - Anonymous
Applied in changeset commit:aedbe498741c.

08/19/2014 07:01 am - Anirvan Sarkar
- Target version set to 1.3.0

- Category set to Graphical Interface

- Status changed from Resolved to Closed

Files
AMC-DEBUG-6oVDnz02.log 27.5 kB 12/26/2012 Anirvan Sarkar
AMC-DEBUG-Xc4NSsj8.log 28.4 kB 12/27/2012 Anirvan Sarkar
AMC-gui.pl 198.5 kB 12/27/2012 Anirvan Sarkar
AMC-gui-edit_preferences.glade 236.2 kB 12/27/2012 Anirvan Sarkar
